<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-profilazione-heading" jhiTranslate="shoppingonlineApp.profilazione.home.createOrEditLabel">Create or edit a Profilazione</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.profilazione.operatoreAdv" for="field_operatoreAdv">Operatore Adv</label>
                    <select class="form-control" id="field_operatoreAdv" name="operatoreAdv" formControlName="operatoreAdv">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="operatoreAdvOption.id === editForm.get('operatoreAdv')!.value?.id ? editForm.get('operatoreAdv')!.value : operatoreAdvOption" *ngFor="let operatoreAdvOption of operatoreadvs; trackBy: trackById">{{ operatoreAdvOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.profilazione.cliente" for="field_cliente">Cliente</label>
                    <select class="form-control" id="field_cliente" name="cliente" formControlName="cliente">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="clienteOption.id === editForm.get('cliente')!.value?.id ? editForm.get('cliente')!.value : clienteOption" *ngFor="let clienteOption of clientes; trackBy: trackById">{{ clienteOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
